"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UnreachableCaseError = void 0;
exports.wrapArray = wrapArray;

/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */
function wrapArray(subj) {
  return Array.isArray(subj) ? subj : [subj];
}

class UnreachableCaseError extends Error {
  constructor(val) {
    super(`Unreachable case: ${val}`);
  }

}

exports.UnreachableCaseError = UnreachableCaseError;