"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.commentsArrayOrUndefined = exports.commentsArray = exports.comment = void 0;

var t = _interopRequireWildcard(require("io-ts"));

var _securitysolutionIoTsTypes = require("@kbn/securitysolution-io-ts-types");

var _created_at = require("../created_at");

var _created_by = require("../created_by");

var _id = require("../id");

var _updated_at = require("../updated_at");

var _updated_by = require("../updated_by");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */
const comment = t.intersection([t.exact(t.type({
  comment: _securitysolutionIoTsTypes.NonEmptyString,
  created_at: _created_at.created_at,
  created_by: _created_by.created_by,
  id: _id.id
})), t.exact(t.partial({
  updated_at: _updated_at.updated_at,
  updated_by: _updated_by.updated_by
}))]);
exports.comment = comment;
const commentsArray = t.array(comment);
exports.commentsArray = commentsArray;
const commentsArrayOrUndefined = t.union([commentsArray, t.undefined]);
exports.commentsArrayOrUndefined = commentsArrayOrUndefined;